AI Product Matcher avatar
AI Product Matcher
Try for free

No credit card required

View all Actors
AI Product Matcher

AI Product Matcher

equidem/ai-product-matcher
Try for free

No credit card required

Match products across multiple e-commerce websites. Use this AI product matching Actor whenever you need to find matching pairs of products from different online shops for dynamic pricing, competitor analysis or market research.

User avatar

main function of the Actor threw an exception

Closed

ianrussel opened this issue
3 months ago

Tried to run the actor AI Product matcher but cant proceed as it threw exceptions

User avatar

ianrussel

3 months ago

View full log

2024-03-07T11:59:53.402Z ACTOR: Pulling Docker image of build ea8tC8XOGb9aMSjkV from repository. 2024-03-07T12:00:28.186Z ACTOR: Creating Docker container. 2024-03-07T12:00:28.273Z ACTOR: Starting Docker container. 2024-03-07T12:00:29.840Z /usr/src/app/actors/executor/product_mapping_engine/scripts/actor_model_interface.py:592: SyntaxWarning: "is not" with a literal. Did you mean "!="? 2024-03-07T12:00:29.843Z if PERFORMED_PARAMETERS_SEARCH is not 'none': 2024-03-07T12:00:30.901Z /usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/keywords_detection.py:83: UserWarning: DataFrame columns are not unique, some columns will be omitted. 2024-03-07T12:00:30.904Z currencies_dict = currencies_df.set_index('name').T.to_dict('list') 2024-03-07T12:00:31.005Z /usr/src/app/actors/executor/product_mapping_engine/scripts/dataset_handler/preprocessing/texts/keywords_detection.py:153: UserWarning: DataFrame columns are not unique, some columns will be omitted. 2024-03-07T12:00:31.008Z imperial_to_metric_units_file = imperial_to_metric_units_file.set_index('shortcut').T.to_dict('list') 2024-03-07T12:00:33.497Z Actor failed with an exception 2024-03-07T12:00:33.500Z Traceback (most recent call last): 2024-03-07T12:00:33.502Z File "/opt/venv/lib/python3.9/site-packages/pandas/core/indexes/base.py", line 3790, in get_loc 2024-03-07T12:00:33.505Z return self._engine.get_loc(casted_key) 2024-03-07T12:00:33.507Z File "index.pyx", line 152, in pandas._libs.index.IndexEngine.get_loc 2024-03-07T12:00:33.509Z File "index.pyx", line 181, in pandas._libs.index.IndexEngine.get_loc 2024-03-07T12:00:33.511Z File "pandas/_libs/hashtable_class_helper.pxi", line 7080, in pandas._libs.hashtable.PyObjectHashTable.get_item 2024-03-07T12:00:33.514Z File "pandas/_libs/hashtable_class_helper.pxi", line 7088, in pandas._libs.hashtable.PyObjectHashTable.get_item 2024-03-07T12:00:33.516Z KeyError: '' 2024-03-07T12:00:33.518Z 2024-03-07T12:00:33.520Z The above exception was the direct cause of the following exception: 2024-03-07T12:00:33.522Z 2024-03-07T12:00:33.524Z Traceback (most recent call last): 2024-03-07T12:00:33.526Z File "/usr/src/app/main.py", line 73, in main 2024-03-07T12:00:33.528Z perform_mapping( 2024-03-07T12:00:33.530Z File "/usr/src/app/actors/executor/main.py", line 244, in perform_mapping 2024-03-07T12:00:33.533Z dataset1 = perform_input_mapping(input_mapping, singular_dataset=dataset1, singular_dataset_index=1) 2024-03-07T12:00:33.535Z File "/usr/src/app/actors/executor/main.py", line 115, in perform_input_mapping 2024-03-07T12:00:33.537Z singular_dataset, columns, renames = calculate_dataset_changes(singular_dataset, eshop_mapping) 2024-03-07T12:00:33.539Z File "/usr/src/app/actors/executor/main.py", line 71, in calculate_dataset_changes 2024-03-07T12:00:33.541Z dataset[old_column_name] = dataset[old_column].copy() 2024-03-07T12:00:33.543Z File "/opt/venv/lib/python3.9/site-packages/pandas/core/frame.py", line 3896, in getitem 2024-03-07T12:00:33.546Z indexer = self.columns.get_loc(key) 2024-03-07T12:00:33.548Z File "/opt/venv/lib/python3.9/site-packages/pandas/core/indexes/base.py", line 3797, in get_loc 2024-03-07T12:00:33.550Z raise KeyError(key) from err 2024-03-07T12:00:33.552Z KeyError: ''

User avatar

ianrussel

3 months ago

{ "eshop1": { "id": "url", "name": "title", "price": "", "short_description": "", "long_description": "description" }, "eshop2": { "id": "url", "name": "title", "price": "", "short_description": "", "long_description": "features", "code": [ "asin" ] } }

User avatar

ianrussel

3 months ago

I tried 43rd time with different attribute configurations.

User avatar

Hi, I have checked the most recent run of the actor that you attempted. The problem there seems to be specification for eshop1. You try to use "emphasizedKeywords", however, specification needs to be a JSON array of objects, with each object containing properties "key" and "value". Please check the information about the actor on what the requirements for the input are, and let us know if anything is still unclear.

User avatar

Hi again, Just to add to my colleague - all the information on how to fill it and how the Actor works is described in an Information tab - https://console.apify.com/actors/etAERt9wVaepkfa3f/information/latest/readme E.g. The Actor is made to take datasets of products that you want to match.

There's also a video made on how to use it, I suggest you check it out and try again - https://www.youtube.com/watch?v=qpvGsR_ijzs&t=1s

I'm going to close the issue for now, but if there's anything still unclear, please, let us know.

Developer
Maintained by Apify
Actor metrics
  • 39 monthly users
  • 52.4% runs succeeded
  • 18 days response time
  • Created in Apr 2023
  • Modified 5 months ago